Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.validate
Class QVValidate.SubValidate

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
            |
            +--com.jxml.quick.ocm.OCMvalidatorSupport.SubValidatorSupport
                  |
                  +--com.jxml.quick.util.validate.QVValidate.SubValidate

All Implemented Interfaces:
  OCMbase.SubBase, OCMsink.SubSink, OCMvalidator.SubValidator

Enclosing class:
  QVValidate

public class QVValidate.SubValidate
extends OCMvalidatorSupport.SubValidatorSupport

Fields inherited from class com.jxml.quick.ocm.OCMvalidatorSupport.SubValidatorSupport
`echoSubSource`

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`cl, docName, inputDoc, properties, subSource, subValidator`

Constructor Summary
`QVValidate.SubValidate(HashMap prior)`

Method Summary
`void` | `expressInputWithIDs()`

Methods inherited from class com.jxml.quick.ocm.OCMvalidatorSupport.SubValidatorSupport
`errorCount, express, express, expressErrors, valid, validTest`

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`expressFile, getInputDoc, getInputSchemaDoc, getProperties, getSubSource, setDocName, setInputDocName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMvalidator.SubValidator
`setProperties`

Methods inherited from interface com.jxml.quick.ocm.OCMsink.SubSink
`expressFile, getInputSchemaDoc, getSubSource, setDocName, setInputDocName`

Constructor Detail

### QVValidate.SubValidate

    public QVValidate.SubValidate(HashMap prior)

Method Detail

### expressInputWithIDs

    public void expressInputWithIDs()
                             throws SAXException,
                                    IOException

  Overrides:
    `expressInputWithIDs` in class `OCMvalidatorSupport.SubValidatorSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD